commit: 5a736b8f57e01d58e28a3dd05b55939a7d61a298
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Apr 29 17:27:57 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 17:33:14 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a736b8f
dev-python/boto-2.49.0-r1: revbump, modernize a bit, py38
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/boto/boto-2.49.0-r1.ebuild | 29 +++++++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/dev-python/boto/boto-2.49.0-r1.ebuild
b/dev-python/boto/boto-2.49.0-r1.ebuild
new file mode 100644
index 00000000000..7bc0f11b0fa
--- /dev/null
+++ b/dev-python/boto/boto-2.49.0-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="Amazon Web Services API"
+HOMEPAGE="https://github.com/boto/boto https://pypi.org/project/boto/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="test"
+
+BDEPEND="
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+RESTRICT="!test? ( test )"
+
+# requires Amazon Web Services keys to pass some tests
+RESTRICT+=" test"
+
+python_test() {
+ "${PYTHON}" tests/test.py -v || die "Tests fail with ${EPYTHON}"
+}